## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface InstantiationExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  InstantiationExpImpl

    public interface InstantiationExp

extends ImperativeExpression

A representation of the model object 'Instantiation Exp'.

The following features are supported:

- `Argument`
- `Extent`
- `Instantiated Class`

See Also:
  `ImperativeOCLPackage.getInstantiationExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.ocl.ecore.OCLExpression>` `getArgument()` Returns the value of the 'Argument' containment reference list.
`org.eclipse.ocl.ecore.Variable` `getExtent()` Returns the value of the 'Extent' reference
`org.eclipse.emf.ecore.EClass` `getInstantiatedClass()` Returns the value of the 'Instantiated Class' reference
`void` `setExtent(org.eclipse.ocl.ecore.Variable value)` Sets the value of the '`Extent`' reference
`void` `setInstantiatedClass(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Instantiated Class`' reference

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getArgument

    org.eclipse.emf.common.util.EList<org.eclipse.ocl.ecore.OCLExpression> getArgument()

  Returns the value of the 'Argument' containment reference list. The list contents are of type `OCLExpression`.

  If the meaning of the 'Argument' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ImperativeOCLPackage.getInstantiationExp_Argument()`

### getExtent

    org.eclipse.ocl.ecore.Variable getExtent()

  Returns the value of the 'Extent' reference.

  If the meaning of the 'Extent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extent' reference.
  See Also:
    `setExtent(Variable)`, `ImperativeOCLPackage.getInstantiationExp_Extent()`

### setExtent

    void setExtent(org.eclipse.ocl.ecore.Variable value)

  Sets the value of the '`Extent`' reference.

  Parameters:
    `value` - the new value of the 'Extent' reference.
  See Also:
    `getExtent()`

### getInstantiatedClass

    org.eclipse.emf.ecore.EClass getInstantiatedClass()

  Returns the value of the 'Instantiated Class' reference.

  If the meaning of the 'Instantiated Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instantiated Class' reference.
  See Also:
    `setInstantiatedClass(EClass)`, `ImperativeOCLPackage.getInstantiationExp_InstantiatedClass()`

### setInstantiatedClass

    void setInstantiatedClass(org.eclipse.emf.ecore.EClass value)

  Sets the value of the '`Instantiated Class`' reference.

  Parameters:
    `value` - the new value of the 'Instantiated Class' reference.
  See Also:
    `getInstantiatedClass()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.